package com.supwisdom.dlpay.mainservice.service;

import com.supwisdom.dlpay.mainservice.bean.TDoorcardlstInfo;
import com.supwisdom.dlpay.mainservice.bean.TDoordtlInfo;
import com.supwisdom.dlpay.mainservice.domain.TKey;
import com.supwisdom.dlpay.system.page.Pagination;

import java.util.List;

public interface WebInterfaceService {

    //获取所有厂商
    public List<TKey> getAllKeys() throws Exception;

    //根据查询条件分页获取流水
    public Pagination getAllCardListFrSearch(String factoryId, String allocatStartDate, String allocatEndDate,
                                             String doorName, String custName, String stuempNo, String syncStatus, List<String> opername,String operFlag, String buildingname,String regionname, int pageNo, int pageSize);

    //根据查询条件获取导出表单信息
    public List<TDoorcardlstInfo> getAllCardListMap(String factoryId, String allocatStartDate, String allocatEndDate,
                                                    String doorName, String custName, String stuempNo, String syncStatus, List<String> operids, String operFlag, String buildingname,String regionname);

    //根据名单编号将已同步的名单修改为未同步使其重新同步
    public void updateDoorcardlstToNoWithIds (List<Long> listIds);

    //根据查询条件获取导出Excel数据
    public List<TDoordtlInfo> findExportExcelDoordtl(String startTranDate, String endTranDate, String startTranTime, String endTranTime, String stuempno,
                                                     String custname, String buildingname, String regionname, String doorName, String factoryId, String streamstatus);

    //根据查询条件获取系统管理员流水数据
    public Pagination findSystemTDoordtl(String startTranDate, String endTranDate, String startTranTime, String endTranTime, String stuempno,
                                         String custname, String buildingname, String doorName, String factoryId, String streamstatus, int pageNo, int pageSize,String regionname);

    //根据管理员id和查询条件获取相应流水数据
    public Pagination findAllTDoordtl(
            String operid,String startTranDate, String endTranDate, String startTranTime, String endTranTime, String stuempno,
            String custname, String buildingname, String doorName, String factoryId, String streamstatus, int pageNo, int pageSize,String regionname);
}
